[package]
name = "doze-translate"
version = "0.1.0"
description = "A Translate App"
authors = ["doze"]
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
# The `_lib` suffix may seem redundant but it is necessary
# to make the lib name unique and wouldn't conflict with the bin name.
# This seems to be only an issue on Windows, see https://github.com/rust-lang/cargo/issues/8519
name = "doze_translate_lib"
crate-type = ["staticlib", "cdylib", "rlib"]

[build-dependencies]
tauri-build = { version = "2", features = [] }

[dependencies]
ollama-rs = { version = "0.3.2", features = ["stream"] }
tauri = { version = "2", features = [] }
tauri-plugin-opener = "2"
serde = { version = "1", features = ["derive"] }
serde_json = "1"
futures = "0.3.31"
tokio = "1.46.1"
clipboard = "0.5.0"
screenshots = "0.8.10"
minifb = "0.28.0"
tesseract = "0.15.2"
uuid = { version = "1.17.0", features = ["v4"] }
[target."cfg(target_os = \"macos\")".dependencies]
cocoa = "0.26.1"

